# $Revision: 1.22.2.2 $, $Date: 2003/04/28 12:51:53 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Socket6
%define		pnam	Socket6
Summary:	Socket6 Perl module
Summary(cs):	Modul Socket6 pro Perl
Summary(da):	Perlmodul Socket6
Summary(de):	Socket6 Perl Modul
Summary(es):	Mdulo de Perl Socket6
Summary(fr):	Module Perl Socket6
Summary(it):	Modulo di Perl Socket6
Summary(ja):	Socket6 Perl ⥸塼
Summary(ko):	Socket6  
Summary(no):	Perlmodul Socket6
Summary(pl):	Modu Perla Socket6
Summary(pt):	Mdulo de Perl Socket6
Summary(pt_BR):	Mdulo Perl Socket6
Summary(ru):	  Perl Socket6
Summary(sv):	Socket6 Perlmodul
Summary(uk):	  Perl Socket6
Summary(zh_CN):	Socket6 Perl ģ
Name:		perl-Socket6
Version:	0.11
Release:	5
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildRequires:	perl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Socket6 is a module that implements a IPv6 API for Perl programs.

%description -l pl
Socket6 jest moduem umoliwiajcym dostp do usug IPv6 z poziomu
programw Perla.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
pod2man --section=3pm Socket6.pm >Socket6.3pm

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man3

%{__make} install DESTDIR=$RPM_BUILD_ROOT
install Socket6.3pm $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_sitearch}/Socket6.pm
%dir %{perl_sitearch}/auto/Socket6
%{perl_sitearch}/auto/Socket6/Socket6.bs
%attr(755,root,root) %{perl_sitearch}/auto/Socket6/Socket6.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Socket6.spec,v $
Revision 1.22.2.2  2003/04/28 12:51:53  ankry
- really rel++

Revision 1.22.2.1  2003/03/13 00:58:41  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.22  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:38:10  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/07/20 17:35:13  kloczek
- release 4.

Revision 1.19  2002/07/19 00:09:43  ankry
- fixed pod2man option

Revision 1.18  2002/07/18 13:50:23  ankry
- translations, cleaning
- new %%doc
- added %%%{perl_sitearch}/auto/Socket6 dir
- extracted and added man page
- release 3

Revision 1.17  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/03/03 21:24:59  marcus
- rel.2.

Revision 1.15  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/10 15:33:55  depesz
adapterized

Revision 1.13  2002/01/18 02:14:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/09/20 11:38:42  mis
- autoupdated to 0.11

Revision 1.11  2001/04/17 12:15:22  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/03/29 07:55:40  mis
- autoupdated to 0.10

Revision 1.8  2001/03/24 15:45:50  mis
- autoupdated to 0.09

Revision 1.7  2001/02/21 05:12:06  kloczek
- release 2.

Revision 1.6  2001/02/21 05:03:25  agaran
rpm check for %%files even in %%changelog.. silly rpm..

Revision 1.5  2001/02/21 04:59:45  agaran
%%files fixed (somebody forgot to add .so files..)

Revision 1.4  2001/02/19 14:53:41  mis
- updated (by autoup) to 0.08

Revision 1.3  2001/01/23 17:00:07  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.2  2000/08/31 15:33:47  kloczek
- adapterized.

Revision 1.1  2000/08/31 12:29:46  wiget
initial version
